<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;


function cm_display_dirleafs ($cm_parentdir, $cm_level) {
  global $cm_text, $cm_imgpath, $user_kurz, $cm_dirlist_iconheight, $cm_dirlist_iconwidth, $cm_image_filename, $cm_icon_set;
  if ($cm_level == 0) {
    echo "<p align=\"right\"><img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_open"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"> {$cm_text["opendir"]} ";
    echo "<img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_closed"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"> {$cm_text["closeddir"]} ";
    echo "<img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_edit"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"> {$cm_text["caneditdir"]}</p>";
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><TR><TD><img src=\"$cm_imgpath/t.gif\" alt=\"\" width=\"1\" height=\"1\" border=\"0\"></TD>\n";
    echo "<TD><img src=\"$cm_imgpath/t.gif\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"1\" border=\"0\"></TD>\n";
    echo "<TD><img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_root"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"><strong><A HREF=\"display.php?cm_path=$cm_parentdir\">" . $cm_parentdir . "</a></strong></TD>\n";
    echo "</TR></TABLE>\n";
  }
  $cm_level += 1;
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_owner_user, cmdb_viewer_group, cmdb_type from content3 where cmdb_parentdir like '$cm_parentdir' and cmdb_type like '%p%' order by cmdb_directory asc") or db_die();
  while ($row1 = db_fetch_row($result1)) {
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><TR>";
    echo str_repeat ("<TD><img src=\"$cm_imgpath/t.gif\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"1\" border=\"0\"></TD>\n", $cm_level);
    echo "<TD><img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_branch"]}\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"></TD>\n";
    if (fcm_user_is_owner ($user_kurz, $row1[1])) {
      echo "<TD><A HREF=\"display.php?cm_path=$row1[1]\"><img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_edit"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"></A>\n";
    }
    elseif (fcm_user_is_ingroup ($user_kurz, $row1[6])) {
      echo "<TD><A HREF=\"display.php?cm_path=$row1[1]\"><img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_open"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"></A>\n";
    }
    else {
      echo "<TD><A HREF=\"display.php?cm_path=$row1[1]\"><img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["folder_closed"]}\" align=\"middle\" alt=\"\" width=\"$cm_dirlist_iconwidth\" height=\"$cm_dirlist_iconheight\" border=\"0\" class=\"pngimg\"></A>\n";
    }
    echo "<strong><A HREF=\"display.php?cm_path=$row1[1]\">$row1[0]</A></strong> ";
    echo " (" . substr ($row1[4], 0, 10) . ") ";
    echo "</TD>\n";
    echo "</TR></TABLE>\n";
    cm_display_dirleafs ($row1[1], $cm_level);
  }
};




if (!$cm_path) {
  $cm_path = "/";
}

$cm_pppos = strrpos ($cm_path, "/");
if ($cm_pppos == 0) {
  $cm_tl_path = "/";
}
else {
  $cm_tl_path = substr ($cm_path, 0, $cm_pppos);
}

$cm_validops = fcm_check_validops ($user_kurz, $cm_path);
fcm_title_nav2 ($cm_path, false, false, false, false, false, false);

cm_display_dirleafs ($cm_path, 0);

echo $cm_html_footer;

?>

